Name: smartmontools
Version: 5.36
Release: alt3

Summary: Control and monitor storage systems using S.M.A.R.T.
License: GPL
Group: Monitoring
Url: http://smartmontools.sourceforge.net/
Packager: Sergey Vlasov <vsu@altlinux.ru>

# http://download.sourceforge.net/smartmontools/smartmontools-%version.tar.gz
Source0: smartmontools-%version.tar
Source1: smartd.init
Source2: smartd.sysconfig

Patch1: smartmontools-5.36-cvs-wd-attr-190.patch
Patch2: smartmontools-5.36-cvs-vpd-page-0x83-size.patch
Patch3: smartmontools-5.36-cvs-libata-2.6.17-id.patch
Patch4: smartmontools-5.36-cvs-seagate-momentus.patch
Patch5: smartmontools-5.36-deb-cciss.patch
Patch6: smartmontools-5.36-rh-cloexec.patch

Requires(post): %post_service
Requires(preun): %preun_service

Obsoletes: smartctl
Obsoletes: smartd
Obsoletes: ucsc-smartsuite
Obsoletes: smartsuite

%description
This package contains two utility programs (smartctl and smartd) to
control and monitor storage systems using the Self-Monitoring, Analysis
and Reporting Technology System (S.M.A.R.T.) built into most modern
ATA and SCSI hard disks.  It is derived from the smartsuite package,
and includes support for ATA/ATAPI-5 disks.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
fgrep -lZ /usr/local/bin/mail *.in |
	xargs -r0 sed -i 's,/usr/local/bin/mail,/bin/mail,g' --

%build
%configure
%make_build

%install
%makeinstall

# remove upstream init scripts
rm -r %buildroot/etc/rc.d

chmod 600 %buildroot%_sysconfdir/smartd.conf

install -pD -m755 %_sourcedir/smartd.init \
	%buildroot%_initdir/smartd
install -pD -m644 %_sourcedir/smartd.sysconfig \
	%buildroot%_sysconfdir/sysconfig/smartd

%define docdir %_docdir/%name-%version
bzip2 -9 %buildroot%docdir/CHANGELOG
rm %buildroot%docdir/{COPYING,INSTALL}

%post
%post_service smartd

%preun
%preun_service smartd

%files
%_sbindir/smartd
%_sbindir/smartctl
%_initdir/smartd
%_man8dir/smartctl.*
%_man8dir/smartd.*
%_man5dir/smartd.conf.*
%config(noreplace) %_sysconfdir/smartd.conf
%config(noreplace) %_sysconfdir/sysconfig/smartd
%docdir

%changelog
* Mon Apr 16 2007 Dmitry V. Levin <ldv@altlinux.org> 5.36-alt3
- Imported FC cloexec patch.

* Sun Jun 11 2006 Sergey Vlasov <vsu@altlinux.ru> 5.36-alt2
- Added patches from smartmontools CVS:
  + cvs-wd-attr-190: identify Attribute 190 for Western Digital disks
    (temperature in Celsius, like Attribute 190, but with failure threshold set
    to maximum design operating temperature of the disk)
  + cvs-vpd-page-0x83-size: increase VPD page 0x83 request size from 96 to 252
    bytes for Linux
  + cvs-libata-2.6.17-id: change libata detection by VPD page 0x83 to accept
    the new variant used by kernels >= 2.6.17
  + cvs-seagate-momentus: add more Seagate Momentus 5400.2 drives to database

* Sat Jun 10 2006 Dmitry V. Levin <ldv@altlinux.org> 5.36-alt1
- Updated to 5.36.
- Dropped ALM22 startup script.
- Dropped old patch from Debian package.
- Applied patch with support for CCISS controllers.

* Mon Apr 11 2005 Dmitry V. Levin <ldv@altlinux.org> 5.32-alt1
- Updated to 5.32.
- Applied patch from Debian package (smartmontools-5.32-3).
- startup script: added recheck, reload and condreload targets.

* Tue Apr 20 2004 Sergey Vlasov <vsu@altlinux.ru> 5.30-alt1
- Version 5.30.

* Tue Dec 02 2003 Sergey Vlasov <vsu@altlinux.ru> 5.26-alt1
- Version 5.26.
- Added backward-compatible initscript (use --with m22 to build package
  compatible with Master 2.2).

* Tue Jun 17 2003 Sergey Vlasov <vsu@altlinux.ru> 5.1.14-alt1
- Version 5.1-14.
- Init script completely rewritten for new conventions.

* Wed Apr 30 2003 Sergey Vlasov <vsu@altlinux.ru> 5.1.10-alt1
- First build for ALT Linux.
- Removed pre-ALT %%changelog (it was just a duplicate of CHANGELOG
  inside the package and described main code changes, not packaging changes).
- Added ALT-specific init script.
